<?php
include('../config/constant.php');
include('../includes/header.php');
include('../includes/navbar.php');
?>
<!-- Begin Page Content-->
<div class="container-fluid">


  <!-- Button trigger modal -->

  <div class="card shadow mb-4">
    <div class="card-header py-3">
      <h5 class="m-0 font weight-bold text-primary">Product</h5></div>
     
          </div>
          <div class="card-body">
            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#productModal" style="float: right">
          Add product
        </button>
        <br/>
        <br/>
        <br/>

            <div class="table-responsive">
              <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                  <tr>
                    <th>ID</th>
                    <th>Prid</th>
                    <th>Product</th>
                    <th>Image</th>
                    <th>Created_at</th>
                    <th>Updated_at</th>
                    <th>EDIT</th>
                    <th>DELETE</th>
                  </tr>
                </thead>
                <tbody>
                  <!-- append using getAllServices() function -->
                </tbody>
              </table>   
            </div>
            
            
               <div class="modal-body">
                <form action="../productimage/add_productimage.php" id="addProductForm" method="POST" enctype="multipart/form-data">

        <div class="modal fade" id="productModal" tabindex="1" role="dialog" aria-labelledby="examplemodalLabel" aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">product</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>

              <div class="modal-body">
                    <div class="form-group">

                      <input type="hidden" name="id" id="id" class="form-control" placeholder="Enter Id">
                    </div>
                    
                    <div class="form-group">
                       
                      <label>Product</label>
                      
                              
                      <select class="form-control" id="category-dropdown" name="prid">
                                    <option value="">SelectProduct</option>
                                 <?php 
                   require_once '../config/db.php';
                   require_once '../config/database.class.php';
                   require_once '../config/functions.php';
                   $d = new database($db_config);?>
                   
                       
                     <?php 
                     
                               $query = "SELECT * FROM subcategory ";
                       $executeQuery = $d->selectQueryInArray($query);
                              
                              if($executeQuery )  {
                                // code...
                             
                            foreach ($executeQuery as $row)
                              {
                              ?>   

<option value="<?php echo $row['id'];?>"><?php echo $row["product"];?></option>
<?php
}}
?>
           
                                   
                                </select>
                    </div>
                     
                       
                    <div class="form-group">
                       
                      <label>Product</label>
                      
                              
                      <select class="form-control" id="product" name="product">
                                    <option value="">SelectProduct</option>
                                 <?php 
                   require_once '../config/db.php';
                   require_once '../config/database.class.php';
                   require_once '../config/functions.php';
                   $d = new database($db_config);?>
                   
                       
                     <?php 
                     
                               $query = "SELECT * FROM subcategory ";
                       $executeQuery = $d->selectQueryInArray($query);
                              
                              if($executeQuery )  {
                                // code...
                             
                            foreach ($executeQuery as $row)
                              {
                              ?>   

<option value="<?php echo $row['product'];?>"><?php echo $row["product"];?></option>
<?php
}}
?>
           
                                   
                                </select>
                    </div>
                   
                 
                     <div class="form-group">
                        <label for="image">Select image:</label>
                        <img src='' style='max-height:200px;' id='image'>
                      <input type="file" id="image" name="image">
                    </div>
                    
                    
                      
                  </div>
                 <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" name="registerbtn" class="registerbtn btn-primary btn" onclick="saveProduct();" >Save</button>
                  </div>
                </div>
             </form>
              </div>
            </div>
            
            </div>
          </div>
          <!-- End of Main Content -->


          <?php
          include('../includes/scripts.php');
          include('../includes/footer.php');
          ?>
          <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.form/4.3.0/jquery.form.min.js" ></script>
          <script type="text/javascript">
            $(document).ready(function(){
              getAllProduct();
            });

            function saveProduct(){
              var options = {
                beforeSend: function () {
              //anything before sending request eg loader etc....
            },
            success: function (res) {
              // once receive response from backend
              //parese json
              var json = $.parseJSON(res);
              if(json.status=='success'){
                alert(json.message);
                $('#productModal').modal('hide');
                $('#id').val('');
                $('#prid').val('');
                $('#product').val('');
                $('#image').val('');
                getAllProduct();
              }
              else{
                alert(json.message);
              }
              
            },
            error: function (response) {

            }        
          };
          $('#addProductForm').ajaxForm(options);
        }


        function editProduct(id){
// alert(id);
$('#productModal').modal('show');
$('#id').val(id);

$.ajax({
  type: "POST",
  data: 'id=' + id,
  url: '../productimage/get_productimage_by_id.php',
  success: function (response) {
    console.log(response)
    var json = $.parseJSON(response);

    $('#id').val(json[0].id);
    $('#prid').val(json[0].prid);
    $('#product').val(json[0].product);
    $('#image').attr("src",'admin/uploads/'+json[0].image); 
     
  }
});
}

function deleteProduct(id){
  if(confirm("Are you sure to delete")){


   $.ajax({
    type: "POST",
    data: 'id=' + id,
    url: '../productimage/delete_productimage.php',
    success: function (response) {
      console.log(response)
      var json = $.parseJSON(response);

      if(json.status=='success'){
        alert(json.message);
         getAllProduct();
      }
      else{
        alert(json.message);
      }

    }
  });
 }
}

function  getAllProduct(){
  $.ajax({
    type: "POST",
    data: 'id=' + id,
    url: '../productimage/get_all_productimage.php',
    success: function (response) {

      var json = $.parseJSON(response);
      var html = "";
      $('#dataTable tbody').html(html);

      for(i=0;i<json.length;i++){
        html = html+`
        <tr>
        <td>`+(i+1)+`</td>
        <td>`+json[i].prid+`</td>
        <td>`+json[i].product+`</td>
        <td><img src = `+json[i].image+` style='max-height:100px;max-width:100px;' class='img_in_modal'></td>
        <td>`+json[i].created_at+`</td>
        <td>`+json[i].updated_at+`</td>
        <td> 
        <button type="button" class="btn btn-success" onclick="editProduct(`+json[i].id+`);">
        <span class="glyphicon glyphicon-plus"></span> Edit</button>
        </td>
        <td>
        <button type="button" class="btn btn-danger" onclick="deleteProduct(`+json[i].id+`);">
        <span class="glyphicon glyphicon-plus"></span> DELETE</button>
        </td> 
        </div>
        </tr>`;
      }
      $('#dataTable tbody').html(html);
    }
  });
}
   
   
   
   


</script>
